/*
 *************************************************************************
 *                                                                       *
 *  Interface for INSTDRV.DLL library functions                          *
 *                                              (C) Aktiv Co. 1998-2001  *
 *************************************************************************
*/
#ifndef __INSTDRVF__H__
#define __INSTDRVF__H__

#define	GID_API WINAPI

#ifdef __cplusplus
 extern "C" {
#endif

__declspec(dllimport) int   GID_API GD_ReInstallDriver          ( void );
__declspec(dllimport) int   GID_API GD_InstallDriver            ( void );
__declspec(dllimport) int   GID_API GD_RemoveDriver             ( BOOL bSaveConfig );
__declspec(dllimport) int   GID_API GD_GetDriverInfo			( PGD_DRIVER_INFO pDI, DWORD dwSize );
__declspec(dllimport) int   GID_API GD_CheckDriver              ( PGD_DRIVER_INFO pDI, DWORD dwSize );
__declspec(dllimport) int   GID_API GD_ConfigSetDefaults        ( void );
__declspec(dllimport) int   GID_API GD_ConfigPortsUse           ( BYTE bPortsMask );
__declspec(dllimport) int   GID_API GD_ConfigUSBUse             ( BOOL bUSBUse );
__declspec(dllimport) int 	GID_API GD_ConfigPortsAddr			( BOOL bLPTAuto, WORD wLPT1Addr, WORD wLPT2Addr, WORD wLPT3Addr );
__declspec(dllimport) int   GID_API GD_ConfigPortAlloc          ( BYTE bPort, DWORD dwMethod );
__declspec(dllimport) int   GID_API GD_ConfigTimeOut            ( DWORD dwTimeOut );
__declspec(dllimport) int   GID_API GD_ConfigIrql               ( BYTE bPort, BYTE bIrql );
__declspec(dllimport) int   GID_API GD_ConfigFlags              ( DWORD dwFlags );
__declspec(dllimport) int   GID_API GD_ReconfigureDriver        ( void );
__declspec(dllimport) void  GID_API GD_SetInstdrvConfig         ( DWORD dwConfigFlags );
__declspec(dllimport) void  GID_API GD_PrintLog                 ( char *sMessage );
__declspec(dllimport) void  GID_API GD_GetVersions              ( BOOL *pbWinNT, BOOL *pbRus, int *pnCurDrvVer );
__declspec(dllimport) void  GID_API GD_GetUSBPresence           ( BOOL *pbUSBPresent );
__declspec(dllimport) char* GID_API GD_GetLastErrorDescription  ( char *szErr, DWORD dwLen );
__declspec(dllimport) int   GID_API GD_GetAutoTimeMethods		( WORD *wTMAuto );

 // This function is for compability only. Use GD_SetInstdrvConfig()
__declspec(dllimport) void  GID_API GD_SetMessageMode           ( BOOL bShowMessages, BOOL bShowFullDescriptions );

#ifdef __cplusplus
}
#endif

#endif __INSTDRVF__H__

